# Create Network - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-create-vpc

# Create Network

POST

/

gpus

/

v2

/

networks

Try it

Create Network

cURL

```
curl --request POST \
--url https://api.novita.ai/gpus/v2/networks \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"region_id": "cluster-abc123",
"name": "dev-vpc"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/networks"payload = { "region_id": "cluster-abc123", "name": "dev-vpc"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({region_id: 'cluster-abc123', name: 'dev-vpc'})};fetch('https://api.novita.ai/gpus/v2/networks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/networks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'region_id' => 'cluster-abc123', 'name' => 'dev-vpc' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/networks"	payload := strings.NewReader("{\n \"region_id\": \"cluster-abc123\",\n \"name\": \"dev-vpc\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpus/v2/networks") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"region_id\": \"cluster-abc123\",\n \"name\": \"dev-vpc\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/networks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"region_id\": \"cluster-abc123\",\n \"name\": \"dev-vpc\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"id": "network-abc123"
}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Body

application/json

[​](#body-region-id)

region_id

string

required

Region ID. String, length: 1-255 characters.

Example:

`"cluster-abc123"`

[​](#body-name)

name

string

required

Network name. String, length: 1-30 characters.

Example:

`"dev-vpc"`

#### Response

200 - application/json

OK

[​](#response-id)

id

string

ID of the created Network

Example:

`"network-abc123"`

Last modified on June 23, 2026
